Bug 100448 - systems hangs if X is restarted
systems hangs if X is restarted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux Beta
Classification: Retired
Component: XFree86 (Show other bugs)
beta1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-07-22 10:09 EDT by Phil Messenger
Modified: 2007-04-18 12:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-12 09:26:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
boot log (10.27 KB, text/plain)
2003-07-28 16:25 EDT, Phil Messenger
no flags Details
X config (3.08 KB, text/plain)
2003-07-28 16:28 EDT, Phil Messenger
no flags Details
lspci output (1.20 KB, text/plain)
2003-07-28 16:28 EDT, Phil Messenger
no flags Details
X log (59.24 KB, text/plain)
2003-07-28 16:30 EDT, Phil Messenger
no flags Details

  None (edit)
Description Phil Messenger 2003-07-22 10:09:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/0 Galeon/1.3.5

Description of problem:
Using the standard text console, if X is restarted the systems hangs solid. This
is especially annoying at setup, when X is started to complete the firstboot
agent and then started again once the system has finished booting. 

If the vesafb is used (ie. boot with vga=0x318 for a 24bit/1024x768 framebuffer
console), no such hangs happen.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. start x
2. terminate x
3. start x again
    

Actual Results:  hard lock. Not possible to SSH in, sysrq non-functional.

Expected Results:  X should have started normally

Additional info:

Acer Travelmate 361EV, i830, 1GiB RAM.
Comment 1 Mike A. Harris 2003-07-25 22:53:15 EDT
Please attach your X config file and log file to the report using the bugzilla
file attachment feature below.
Comment 2 Phil Messenger 2003-07-28 16:25:59 EDT
Created attachment 93197 [details]
boot log
Comment 3 Phil Messenger 2003-07-28 16:28:15 EDT
Created attachment 93198 [details]
X config
Comment 4 Phil Messenger 2003-07-28 16:28:57 EDT
Created attachment 93199 [details]
lspci output
Comment 5 Phil Messenger 2003-07-28 16:30:51 EDT
Created attachment 93200 [details]
X log
Comment 6 Mike A. Harris 2004-10-12 09:26:41 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.